summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-28 18:18:46 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-28 18:18:46 +0000
commit07c821c2d8e7a33d4cc4b2ae53720cf3eccea8d1 (patch)
tree39241caf13dbe4cc524a762dcfb73e76afd4c575 /dev-python
parente5f6e321d3b4be52d5cc017942ec8e8fab26189d (diff)
downloadbaldeagleos-repo-07c821c2d8e7a33d4cc4b2ae53720cf3eccea8d1.tar.gz
baldeagleos-repo-07c821c2d8e7a33d4cc4b2ae53720cf3eccea8d1.tar.xz
baldeagleos-repo-07c821c2d8e7a33d4cc4b2ae53720cf3eccea8d1.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyQt6-WebEngine/PyQt6-WebEngine-6.5.0.ebuild3
-rw-r--r--dev-python/PyQt6/PyQt6-6.5.2-r1.ebuild172
-rw-r--r--dev-python/PyQt6/PyQt6-6.5.2.ebuild5
-rw-r--r--dev-python/PyQt6/metadata.xml1
-rw-r--r--dev-python/gbinder/Manifest2
-rw-r--r--dev-python/gbinder/gbinder-1.1.1-r11.ebuild44
-rw-r--r--dev-python/gbinder/gbinder-1.1.1.ebuild36
-rw-r--r--dev-python/gbinder/gbinder-1.1.2.ebuild (renamed from dev-python/gbinder/gbinder-1.1.1-r10.ebuild)0
-rw-r--r--dev-python/griffe/Manifest7
-rw-r--r--dev-python/griffe/griffe-0.35.0.ebuild45
-rw-r--r--dev-python/griffe/griffe-0.35.1.ebuild45
-rw-r--r--dev-python/griffe/griffe-0.35.2.ebuild45
-rw-r--r--dev-python/griffe/griffe-0.36.0.ebuild45
-rw-r--r--dev-python/griffe/griffe-0.36.1.ebuild45
-rw-r--r--dev-python/griffe/griffe-0.36.4.ebuild (renamed from dev-python/griffe/griffe-0.34.0.ebuild)0
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/mkdocstrings-python/Manifest8
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-1.5.0.ebuild40
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-1.5.2.ebuild40
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-1.6.0.ebuild40
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-1.6.1.ebuild40
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-1.6.2.ebuild40
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-1.6.3.ebuild40
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-1.7.1.ebuild (renamed from dev-python/mkdocstrings-python/mkdocstrings-python-1.5.1.ebuild)0
-rw-r--r--dev-python/msgpack/Manifest1
-rw-r--r--dev-python/msgpack/msgpack-1.0.7.ebuild51
-rw-r--r--dev-python/pikepdf/pikepdf-8.4.1.ebuild2
-rw-r--r--dev-python/psycopg/Manifest1
-rw-r--r--dev-python/psycopg/psycopg-2.9.8.ebuild58
-rw-r--r--dev-python/pydantic/Manifest1
-rw-r--r--dev-python/pydantic/pydantic-2.4.2.ebuild54
-rw-r--r--dev-python/python-rtmidi/Manifest1
-rw-r--r--dev-python/python-rtmidi/python-rtmidi-1.5.5.ebuild1
-rw-r--r--dev-python/python-rtmidi/python-rtmidi-1.5.6.ebuild60
-rw-r--r--dev-python/pywebview/Manifest2
-rw-r--r--dev-python/pywebview/pywebview-4.3.3.ebuild (renamed from dev-python/pywebview/pywebview-4.1.ebuild)11
-rw-r--r--dev-python/ruamel-yaml/Manifest1
-rw-r--r--dev-python/ruamel-yaml/ruamel-yaml-0.17.33.ebuild58
-rw-r--r--dev-python/scipy/Manifest1
-rw-r--r--dev-python/scipy/scipy-1.11.3.ebuild129
-rw-r--r--dev-python/textdistance/Manifest1
-rw-r--r--dev-python/textdistance/textdistance-4.6.0.ebuild36
-rw-r--r--dev-python/thriftpy2/Manifest1
-rw-r--r--dev-python/thriftpy2/thriftpy2-0.4.17.ebuild44
45 files changed, 695 insertions, 574 deletions
diff --git a/dev-python/PyQt6-WebEngine/PyQt6-WebEngine-6.5.0.ebuild b/dev-python/PyQt6-WebEngine/PyQt6-WebEngine-6.5.0.ebuild
index d955abc7d4c4..f0f8d2e3225e 100644
--- a/dev-python/PyQt6-WebEngine/PyQt6-WebEngine-6.5.0.ebuild
+++ b/dev-python/PyQt6-WebEngine/PyQt6-WebEngine-6.5.0.ebuild
@@ -20,10 +20,9 @@ SLOT="0"
KEYWORDS="amd64"
IUSE="debug quick +widgets"
-# can use parts of the Qt private api and "sometimes" needs rebuilds wrt :=
RDEPEND="
>=dev-python/PyQt6-${PV}[gui,ssl,${PYTHON_USEDEP}]
- >=dev-qt/qtbase-${QT_PV}=
+ >=dev-qt/qtbase-${QT_PV}[gui,widgets?]
>=dev-qt/qtwebengine-${QT_PV}[widgets]
quick? ( dev-python/PyQt6[qml] )
widgets? ( dev-python/PyQt6[network,printsupport,webchannel,widgets] )
diff --git a/dev-python/PyQt6/PyQt6-6.5.2-r1.ebuild b/dev-python/PyQt6/PyQt6-6.5.2-r1.ebuild
new file mode 100644
index 000000000000..67924b38732a
--- /dev/null
+++ b/dev-python/PyQt6/PyQt6-6.5.2-r1.ebuild
@@ -0,0 +1,172 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=sip
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+inherit distutils-r1 flag-o-matic multiprocessing pypi qmake-utils
+
+# 'can' work with older Qt depending on features, but keeping it simple
+QT_PV=$(ver_cut 1-2):6
+
+DESCRIPTION="Python bindings for the Qt framework"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+# defaults match what is provided with qtbase by default (except testlib),
+# reduces the need to set flags but does increase build time a fair amount
+IUSE="
+ bluetooth +dbus debug designer examples gles2-only +gui help
+ multimedia +network nfc opengl pdfium positioning +printsupport
+ qml quick quick3d serialport sensors spatialaudio speech +sql
+ +ssl svg testlib webchannel websockets +widgets +xml
+"
+# see `grep -r "%Import " sip` and `grep qmake_QT project.py`
+REQUIRED_USE="
+ designer? ( gui widgets )
+ help? ( gui widgets )
+ multimedia? ( gui network )
+ opengl? ( gui )
+ pdfium? ( gui )
+ printsupport? ( gui widgets )
+ qml? ( network )
+ quick3d? ( gui qml )
+ quick? ( gui qml )
+ spatialaudio? ( multimedia )
+ sql? ( widgets )
+ svg? ( gui )
+ testlib? ( gui widgets )
+ webchannel? ( network )
+ websockets? ( network )
+ widgets? ( gui )
+"
+
+DEPEND="
+ >=dev-qt/qtbase-${QT_PV}[dbus?,gles2-only=,gui?,network?,opengl?,sql?,ssl=,widgets?,xml?]
+ bluetooth? ( >=dev-qt/qtconnectivity-${QT_PV}[bluetooth] )
+ dbus? (
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ sys-apps/dbus
+ )
+ designer? ( >=dev-qt/qttools-${QT_PV}[designer] )
+ help? ( >=dev-qt/qttools-${QT_PV}[assistant] )
+ multimedia? ( >=dev-qt/qtmultimedia-${QT_PV} )
+ nfc? ( >=dev-qt/qtconnectivity-${QT_PV}[nfc] )
+ opengl? (
+ gles2-only? ( media-libs/libglvnd )
+ )
+ pdfium? ( >=dev-qt/qtwebengine-${QT_PV}[pdfium(-),widgets?] )
+ positioning? ( >=dev-qt/qtpositioning-${QT_PV} )
+ qml? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
+ quick3d? ( >=dev-qt/qtquick3d-${QT_PV} )
+ sensors? ( >=dev-qt/qtsensors-${QT_PV} )
+ serialport? ( >=dev-qt/qtserialport-${QT_PV} )
+ speech? ( >=dev-qt/qtspeech-${QT_PV} )
+ svg? ( >=dev-qt/qtsvg-${QT_PV} )
+ webchannel? ( >=dev-qt/qtwebchannel-${QT_PV} )
+ websockets? ( >=dev-qt/qtwebsockets-${QT_PV} )
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/PyQt6-sip-13.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/PyQt-builder-1.15[${PYTHON_USEDEP}]
+ >=dev-qt/qtbase-${QT_PV}
+ dbus? ( virtual/pkgconfig )
+"
+
+src_prepare() {
+ default
+
+ # hack: qmake queries g++ or clang++ for info depending on which qtbase was
+ # built with, but ignores CHOST failing with -native-symlinks (bug #726112)
+ # and potentially using wrong information when cross-compiling
+ mkdir "${T}"/cxx || die
+ local cxx
+ ! cxx=$(type -P "${CHOST}"-g++) || ln -s -- "${cxx}" "${T}"/cxx/g++ || die
+ ! cxx=$(type -P "${CHOST}"-clang++) || ln -s -- "${cxx}" "${T}"/cxx/clang++ || die
+ PATH=${T}/cxx:${PATH}
+}
+
+python_configure_all() {
+ append-cxxflags -std=c++17 # for old gcc / clang that use <17 (bug #892331)
+ append-cxxflags ${CPPFLAGS} # respect CPPFLAGS notably for DISTUTILS_EXT=1
+
+ pyqt_use_enable() {
+ local state=$(usex ${1} --enable= --disable=)
+ shift
+ echo ${*/#/${state}}
+ }
+
+ DISTUTILS_ARGS=(
+ --jobs="$(makeopts_jobs)"
+ --qmake="$(qt6_get_bindir)"/qmake
+ --qmake-setting="$(qt6_get_qmake_args)"
+ --verbose
+ --confirm-license
+
+ --enable=QtCore
+
+ $(pyqt_use_enable bluetooth QtBluetooth)
+ $(pyqt_use_enable dbus QtDBus)
+ $(pyqt_use_enable designer QtDesigner)
+ $(pyqt_use_enable help QtHelp)
+ $(pyqt_use_enable gui QtGui)
+ #--disable=QtLocation # force-disabled in project.py
+ $(pyqt_use_enable multimedia QtMultimedia \
+ $(usev widgets QtMultimediaWidgets))
+ $(pyqt_use_enable network QtNetwork)
+ $(pyqt_use_enable nfc QtNfc)
+ $(pyqt_use_enable opengl QtOpenGL \
+ $(usev widgets QtOpenGLWidgets))
+ $(pyqt_use_enable pdfium QtPdf \
+ $(usev widgets QtPdfWidgets))
+ $(pyqt_use_enable positioning QtPositioning)
+ $(pyqt_use_enable printsupport QtPrintSupport)
+ $(pyqt_use_enable qml QtQml)
+ $(pyqt_use_enable quick QtQuick \
+ $(usev widgets QtQuickWidgets))
+ $(pyqt_use_enable quick3d QtQuick3D)
+ --disable=QtRemoteObjects # not packaged
+ $(pyqt_use_enable sensors QtSensors)
+ $(pyqt_use_enable serialport QtSerialPort)
+ $(pyqt_use_enable spatialaudio QtSpatialAudio)
+ $(pyqt_use_enable sql QtSql)
+ $(pyqt_use_enable svg QtSvg \
+ $(usev widgets QtSvgWidgets))
+ $(pyqt_use_enable testlib QtTest)
+ $(pyqt_use_enable speech QtTextToSpeech)
+ $(pyqt_use_enable webchannel QtWebChannel)
+ $(pyqt_use_enable websockets QtWebSockets)
+ $(pyqt_use_enable widgets QtWidgets)
+ $(pyqt_use_enable xml QtXml)
+
+ $(usev debug '--debug --qml-debug --tracing')
+
+ $(usev !dbus --no-dbus-python)
+ # note: upstream currently intentionally skips installing these two
+ # plugins when using wheels w/ pep517 so, *if* something does need
+ # them, it will need to be handled manually
+ $(usev !designer --no-designer-plugin)
+ $(usev !qml --no-qml-plugin)
+
+ $(usev !gles2-only --disabled-feature=PyQt_OpenGL_ES2)
+ $(usev !opengl --disabled-feature=PyQt_OpenGL)
+ $(usev !ssl --disabled-feature=PyQt_SSL)
+
+ # intended for Windows / Android or others
+ --disable=QAxContainer
+ --disabled-feature=PyQt_Permissions
+ )
+}
+
+python_install_all() {
+ einstalldocs
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/PyQt6/PyQt6-6.5.2.ebuild b/dev-python/PyQt6/PyQt6-6.5.2.ebuild
index aee12105c85f..7f2ea492aee8 100644
--- a/dev-python/PyQt6/PyQt6-6.5.2.ebuild
+++ b/dev-python/PyQt6/PyQt6-6.5.2.ebuild
@@ -45,9 +45,8 @@ REQUIRED_USE="
widgets? ( gui )
"
-# can use parts of the Qt private api and "sometimes" needs rebuilds wrt :=
DEPEND="
- >=dev-qt/qtbase-${QT_PV}=[dbus?,gles2-only=,gui?,network?,opengl?,sql?,ssl=,widgets?,xml?]
+ >=dev-qt/qtbase-${QT_PV}[dbus?,gles2-only=,gui?,network?,opengl?,sql?,ssl=,widgets?,xml?]
bluetooth? ( >=dev-qt/qtconnectivity-${QT_PV}[bluetooth] )
dbus? (
dev-python/dbus-python[${PYTHON_USEDEP}]
@@ -61,7 +60,7 @@ DEPEND="
gles2-only? ( media-libs/libglvnd )
)
positioning? ( >=dev-qt/qtpositioning-${QT_PV} )
- qml? ( >=dev-qt/qtdeclarative-${QT_PV} )
+ qml? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
quick3d? ( >=dev-qt/qtquick3d-${QT_PV} )
sensors? ( >=dev-qt/qtsensors-${QT_PV} )
serialport? ( >=dev-qt/qtserialport-${QT_PV} )
diff --git a/dev-python/PyQt6/metadata.xml b/dev-python/PyQt6/metadata.xml
index 8150cb339b6e..99ce564c2ea7 100644
--- a/dev-python/PyQt6/metadata.xml
+++ b/dev-python/PyQt6/metadata.xml
@@ -19,6 +19,7 @@
<flag name="network">Build bindings for the QtNetwork module</flag>
<flag name="nfc">Build bindings for the QtNfc module</flag>
<flag name="opengl">Build bindings for the QtOpenGL module</flag>
+ <flag name="pdfium">Build bindings for the QtPdf module (uses pdfium from <pkg>dev-qt/qtwebengine</pkg>)</flag>
<flag name="positioning">Build bindings for the QtPositioning module</flag>
<flag name="printsupport">Build bindings for the QtPrintSupport module</flag>
<flag name="qml">Build bindings for the QtQml module and enable the qml plugin</flag>
diff --git a/dev-python/gbinder/Manifest b/dev-python/gbinder/Manifest
index f3c1328de136..95289ea83570 100644
--- a/dev-python/gbinder/Manifest
+++ b/dev-python/gbinder/Manifest
@@ -1 +1 @@
-DIST gbinder-1.1.1.tar.gz 24340 BLAKE2B d93d332e0c8a04c5adbf0ca2680d32a7e8d7b0ba8350f50b365966b8bce082456b3463509334831fc376ebecc0f2dd67542bd5d45c94e028d325458944a70147 SHA512 1910d6e904ac46da519064e9dc57e4059e1ea7072f2cf4b7ca0888a73701a590ff565fe9e9ca67acf94dba2a69f3138457d8b9533c2360befdd508b983f32a03
+DIST gbinder-1.1.2.tar.gz 22772 BLAKE2B c5b3ae434422afc761e9e9d63f86ab9c89b6b2b96b98f7d8cde185de5c2349a7a42ac2a9355fabc0c412d1eb580c7d305056d2546dd148b558c9154c76127c41 SHA512 6f076a5cb265eed193d2ac2623921e76ced923230ca2131460efea941182f26b770d657f5155f6a29fa54a314f6dc62a8d5b96d14ee90a359389e60318a38b71
diff --git a/dev-python/gbinder/gbinder-1.1.1-r11.ebuild b/dev-python/gbinder/gbinder-1.1.1-r11.ebuild
deleted file mode 100644
index d8ebc3d1a263..000000000000
--- a/dev-python/gbinder/gbinder-1.1.1-r11.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-
-DISTUTILS_USE_PEP517="setuptools"
-
-inherit distutils-r1
-
-if [[ ${PV} != *9999* ]]; then
- MY_PN="${PN}-python"
- MY_P="${MY_PN}-${PV}"
- S="${WORKDIR}/${MY_P}"
- SRC_URI="https://github.com/erfanoabdi/gbinder-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-else
- inherit git-r3
- EGIT_REPO_URI="https://github.com/erfanoabdi/gbinder-python.git"
-fi
-
-DESCRIPTION="Python bindings for libgbinder"
-HOMEPAGE="https://github.com/erfanoabdi/gbinder-python"
-LICENSE="GPL-3"
-SLOT="0"
-
-PATCHES=(
- "${FILESDIR}"/gbinder-1.1.1-setuptools.patch
-)
-
-
-DEPEND="dev-libs/gbinder
- dev-libs/libglibutil"
-RDEPEND="${DEPEND}"
-BDEPEND="
- virtual/pkgconfig
- =dev-python/cython-0*[${PYTHON_USEDEP}]
- ${DISTUTILS_DEPS}
-"
-
-python_configure_all () {
- DISTUTILS_ARGS=( --cython )
-}
diff --git a/dev-python/gbinder/gbinder-1.1.1.ebuild b/dev-python/gbinder/gbinder-1.1.1.ebuild
deleted file mode 100644
index 471d3835995f..000000000000
--- a/dev-python/gbinder/gbinder-1.1.1.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-
-inherit distutils-r1
-
-if [[ ${PV} != *9999* ]]; then
- MY_PN="${PN}-python"
- MY_P="${MY_PN}-${PV}"
- S="${WORKDIR}/${MY_P}"
- SRC_URI="https://github.com/erfanoabdi/gbinder-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-else
- inherit git-r3
- EGIT_REPO_URI="https://github.com/erfanoabdi/gbinder-python.git"
-fi
-
-DESCRIPTION="Python bindings for libgbinder"
-HOMEPAGE="https://github.com/erfanoabdi/gbinder-python"
-LICENSE="GPL-3"
-SLOT="0"
-
-DEPEND="dev-libs/gbinder
- dev-libs/libglibutil"
-RDEPEND="${DEPEND}"
-BDEPEND="
- virtual/pkgconfig
- dev-python/cython[${PYTHON_USEDEP}]
-"
-
-python_compile() {
- distutils-r1_python_compile --cython
-}
diff --git a/dev-python/gbinder/gbinder-1.1.1-r10.ebuild b/dev-python/gbinder/gbinder-1.1.2.ebuild
index 908fcc521d46..908fcc521d46 100644
--- a/dev-python/gbinder/gbinder-1.1.1-r10.ebuild
+++ b/dev-python/gbinder/gbinder-1.1.2.ebuild
diff --git a/dev-python/griffe/Manifest b/dev-python/griffe/Manifest
index 45aa8cc29dab..e6c8107c0e25 100644
--- a/dev-python/griffe/Manifest
+++ b/dev-python/griffe/Manifest
@@ -1,7 +1,2 @@
-DIST griffe-0.34.0.gh.tar.gz 181554 BLAKE2B 67d9a453cbd4388e7eefce9613b58667fff184b235e06743ba0a997a961b320f00a62505b06d7dde8f068e206e0ba9424e4da7969c0bedeeded80a85f981f824 SHA512 92fd93e49f4c52f9e819cca853f5c950a66d782f0161da41e11ae2a64e09a6bc2319481c8410a220c844b1ed44a96860d3e1bd152512b9ff5d6ec0fe11f36752
-DIST griffe-0.35.0.gh.tar.gz 184348 BLAKE2B eafd03d55091c960ae8686e0e1113ca266b1f980a00ebb12e252e54105dd10f56f1cb76de9fdba0ceefe2c8b7190f3aa1fe3557cac162e96b8ee408ce682f47d SHA512 9308c215232775e1355c7470006f611f1ec413cd7f24300fbc9a4b1b15108d4d20fb31e1be0ddd3b28d84862eb0409d0481a5744899a6db9ea9574987c37d86a
-DIST griffe-0.35.1.gh.tar.gz 184480 BLAKE2B 9c2ba347d34ea428d56fe1bcd43b31d1518b2ac55082282ff66432837138fe26f1a61dc001c2c19e3400642b712b9ebea0987e541c0a1178653a6020bca0cf91 SHA512 e6d4b1fd670853eff5e74e2969d6e14e20809c7b859e2a8ec326855848807e066679ea09da6de04819a0f3ea79aa21bf6101c3e06b82bcb15dda6a3da5b8e4d9
-DIST griffe-0.35.2.gh.tar.gz 185855 BLAKE2B 325449ae4619a293396e98c2109b765a1ef5e8c3653d3c1fdd1b051627f7d9893338c8b1778563835128d933ead369bd5eae5af72d2eaca8d6b217dde51f6dcd SHA512 c87987ea4c4887ba4d3e73a363b196214f0a2845c7b7a56ab38a090beca89a8ce544531e405478c74827e14b65a5522b7238e7446aff7396d1155b926e396590
-DIST griffe-0.36.0.gh.tar.gz 188450 BLAKE2B df47c19db7d9ca245843b6b3178de060dd319328e809156f0611cb97afa8bed4a8c82d1cd31b03e05147cd94ab88ecc3ea9e7491b65bd3efceaf711bd58d9de7 SHA512 d55b58f3ffa63c6450df045bc871309837f92079d60556a1a98f7a1420385b2bb6ca63d696b4c8780bf8386d6e1732662ef0bbb6237f0a8ff33d4f3bf8a5f263
-DIST griffe-0.36.1.gh.tar.gz 188502 BLAKE2B 732b2d0c894e32b168baa918b742c518cf11273fca5a2667d68cbc253d1a56b8fe55ee3937425df6ca09b7d09715bbd2bd7dc29acb60559331010943218037cc SHA512 3cf6f46d9018d0eb752d69caa7a37de0c3e1b7a7bf5fb1077890e48b2e280bb95566d96b893632083c7d7dc25c7352a000519ec350d04c512acd0eeb4fa21312
DIST griffe-0.36.2.gh.tar.gz 188707 BLAKE2B b444dcbb38ab39715f975a17f502cf331bb3385b287f30bd66115bd7c565b248d1bce45ca80167ab5da0a59f8f73e41f63c4114f0f02029a56b735c0aa9c36d7 SHA512 1ec7efaf8b2c030b7c33ddb41a04e927fdd8678061a7ccbcd632c17d9fd80c664320be5ac0c9f05340358835dd430b6082b770c849fc2ed3c3266f65474da92d
+DIST griffe-0.36.4.gh.tar.gz 192823 BLAKE2B 42815673835bffebf97ab3bd436997329229596d24f4cd6fcd0b57f137b113bd42461cf9b8a33472ef6887dc7efdb4d88f31b6f503abb365f101311ff89fb5f3 SHA512 76d672f91643d347d15e97eb29bd1cdb24f843d396777287d5f5c28259f4f25dc7a89d53a83189e84572fcbed5201144d2b15f1bbc0864799c7703ce90b1cc7a
diff --git a/dev-python/griffe/griffe-0.35.0.ebuild b/dev-python/griffe/griffe-0.35.0.ebuild
deleted file mode 100644
index 0f91c6b826a5..000000000000
--- a/dev-python/griffe/griffe-0.35.0.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=pdm-backend
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Signature generator for Python programs"
-HOMEPAGE="
- https://mkdocstrings.github.io/griffe/
- https://github.com/mkdocstrings/griffe/
- https://pypi.org/project/griffe/
-"
-# Tests need files absent from the PyPI tarballs
-SRC_URI="
- https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv"
-
-RDEPEND="
- >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- >=dev-python/jsonschema-4.17.3[${PYTHON_USEDEP}]
- >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
-
-EPYTEST_DESELECT=(
- # fragile to installed packages
- # (failed on PySide2 for me)
- tests/test_stdlib.py::test_fuzzing_on_stdlib
-)
diff --git a/dev-python/griffe/griffe-0.35.1.ebuild b/dev-python/griffe/griffe-0.35.1.ebuild
deleted file mode 100644
index 0f91c6b826a5..000000000000
--- a/dev-python/griffe/griffe-0.35.1.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=pdm-backend
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Signature generator for Python programs"
-HOMEPAGE="
- https://mkdocstrings.github.io/griffe/
- https://github.com/mkdocstrings/griffe/
- https://pypi.org/project/griffe/
-"
-# Tests need files absent from the PyPI tarballs
-SRC_URI="
- https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv"
-
-RDEPEND="
- >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- >=dev-python/jsonschema-4.17.3[${PYTHON_USEDEP}]
- >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
-
-EPYTEST_DESELECT=(
- # fragile to installed packages
- # (failed on PySide2 for me)
- tests/test_stdlib.py::test_fuzzing_on_stdlib
-)
diff --git a/dev-python/griffe/griffe-0.35.2.ebuild b/dev-python/griffe/griffe-0.35.2.ebuild
deleted file mode 100644
index 0f91c6b826a5..000000000000
--- a/dev-python/griffe/griffe-0.35.2.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=pdm-backend
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Signature generator for Python programs"
-HOMEPAGE="
- https://mkdocstrings.github.io/griffe/
- https://github.com/mkdocstrings/griffe/
- https://pypi.org/project/griffe/
-"
-# Tests need files absent from the PyPI tarballs
-SRC_URI="
- https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv"
-
-RDEPEND="
- >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- >=dev-python/jsonschema-4.17.3[${PYTHON_USEDEP}]
- >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
-
-EPYTEST_DESELECT=(
- # fragile to installed packages
- # (failed on PySide2 for me)
- tests/test_stdlib.py::test_fuzzing_on_stdlib
-)
diff --git a/dev-python/griffe/griffe-0.36.0.ebuild b/dev-python/griffe/griffe-0.36.0.ebuild
deleted file mode 100644
index 0f91c6b826a5..000000000000
--- a/dev-python/griffe/griffe-0.36.0.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=pdm-backend
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Signature generator for Python programs"
-HOMEPAGE="
- https://mkdocstrings.github.io/griffe/
- https://github.com/mkdocstrings/griffe/
- https://pypi.org/project/griffe/
-"
-# Tests need files absent from the PyPI tarballs
-SRC_URI="
- https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv"
-
-RDEPEND="
- >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- >=dev-python/jsonschema-4.17.3[${PYTHON_USEDEP}]
- >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
-
-EPYTEST_DESELECT=(
- # fragile to installed packages
- # (failed on PySide2 for me)
- tests/test_stdlib.py::test_fuzzing_on_stdlib
-)
diff --git a/dev-python/griffe/griffe-0.36.1.ebuild b/dev-python/griffe/griffe-0.36.1.ebuild
deleted file mode 100644
index 0f91c6b826a5..000000000000
--- a/dev-python/griffe/griffe-0.36.1.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=pdm-backend
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Signature generator for Python programs"
-HOMEPAGE="
- https://mkdocstrings.github.io/griffe/
- https://github.com/mkdocstrings/griffe/
- https://pypi.org/project/griffe/
-"
-# Tests need files absent from the PyPI tarballs
-SRC_URI="
- https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv"
-
-RDEPEND="
- >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- >=dev-python/jsonschema-4.17.3[${PYTHON_USEDEP}]
- >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
-
-EPYTEST_DESELECT=(
- # fragile to installed packages
- # (failed on PySide2 for me)
- tests/test_stdlib.py::test_fuzzing_on_stdlib
-)
diff --git a/dev-python/griffe/griffe-0.34.0.ebuild b/dev-python/griffe/griffe-0.36.4.ebuild
index 0f91c6b826a5..0f91c6b826a5 100644
--- a/dev-python/griffe/griffe-0.34.0.ebuild
+++ b/dev-python/griffe/griffe-0.36.4.ebuild
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..e9da2ac43cac 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index ddb5b0f1787e..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>cyber+gentoo@sysrq.in</email>
- <name>Anna</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/mkdocstrings-python/Manifest b/dev-python/mkdocstrings-python/Manifest
index 2a1effedf6d8..31b07ec97045 100644
--- a/dev-python/mkdocstrings-python/Manifest
+++ b/dev-python/mkdocstrings-python/Manifest
@@ -1,8 +1,2 @@
-DIST mkdocstrings-python-1.5.0.gh.tar.gz 134827 BLAKE2B 8af0d4497a93c9064a4413ea88efe54461a56bfe58980162467c65ce20c612a15cd59334499c98ca6d2ad99f1c4bff3ad7feef0ddb654d4c171462169903d34a SHA512 99fd4db1541c48317e3bb7a8a4600cb358e938d506eb85773cd9d52de220a444a508df5b5ab7f5346f2680a2c2aa2f7c9635e62adc4fbc53e7500f1aaf6bc079
-DIST mkdocstrings-python-1.5.1.gh.tar.gz 135102 BLAKE2B 06da82fd75b5f4311e98316037f073bbfc176fb50b2676a43dc43c6d819574d4ad724bffa75ce4f765858fdb8042f8802c607e6093121920b48bf3db4b130c17 SHA512 01b5e78bb9ff3d0325ce96f1bf44d2f0da5809db925ca93db43b210da867c8a31b7c68329a4d11345283b170e34cbd50a11b7e5364ab1d9cbc074a1aa9f792d7
-DIST mkdocstrings-python-1.5.2.gh.tar.gz 135238 BLAKE2B 09885164675a0955dcbef0a17871a6d19dbbfc9a7d6114a46e23dbb5a2428e7d46ffe626ecab10939934c06817892cde0e3e3db592776f7fb25dcdbdf8473a85 SHA512 0f069b07cb681ad470947dd02996e783ee809f34418316e8929322f20304dddab7049bc5dc0874e0b4ff6f6af6d958bbb69a4c61515d56cc716a774a1957f51e
-DIST mkdocstrings-python-1.6.0.gh.tar.gz 135452 BLAKE2B cde95f8066ac97cbe3f618cb399cdcc06027632100198a7cd5970c09683a1d1bbe2b7aa32dcc8dae437b19efe4de007cd04899564a44021ad1e1794b7b9d5da7 SHA512 58da4eb6e3c7d702782346ca5b66726fe1f24c4a0f57a90bd5ab53ef90787eb16291d492078f10a847a6cbf63892b34a8d8d41714311664c659bf14acc0739a7
-DIST mkdocstrings-python-1.6.1.gh.tar.gz 135536 BLAKE2B 34e0c43d73002988b6511b8027c910085f7f241895e28048c30944b303f9882af5335f52bf201c14055db7df31e051e9d2c1ec696777c9fc87e547d776684ba0 SHA512 429ca933fef33668c02081bdd539a556a7322f4759af6db74255ee39d4ad5f8a37f6626c58457eaaeabc76e559be8834bfe952e8bdb09f9924a86cb56faabbeb
-DIST mkdocstrings-python-1.6.2.gh.tar.gz 135683 BLAKE2B 2f8cbb10c5b8f69cb530f71d34fee73334ebc5dd52919ae53b67d5298ae8d416ea92cb0a38ee411b11ff65713d0d5dbd3cf877b338d82f24e24b6a7b62924694 SHA512 aac206ac0440eb64d53f82f22e3d924879c2a4df953c603139739a753b64c1c3cce05828948881ff2c7e0c1f49b94b0847797d22f92d86dc1ae449cc8aa7d677
-DIST mkdocstrings-python-1.6.3.gh.tar.gz 135758 BLAKE2B 6c52f540a38d8ca9d1c5890b98966e811cf018898b543af3ab8d970be116f4f6e4beb243dd1a79deefaf64ce5aeb0e0ab4653dae778f4cfefa034a064f7bde63 SHA512 04896f6c9348198db3d78a9668a250bc8c1a1e9dd37c83601304e19bcce89c5c796737d86aaf63ba487336dcdb466f49b5ece58f6de11ace309fcfbecfaa04e9
DIST mkdocstrings-python-1.7.0.gh.tar.gz 136113 BLAKE2B a1ccb8ff817beaa89fb8234c60920a3b60e57d3908e103279728a9b0d6c4b53132da5262001b9a0e89b161e5e96226ddd06e0b224db4c869cb99297a6c646167 SHA512 2e1b855c8ad51b8066e3ff1036cf6d0ee90b766f7f851a6045707889e39ca9217f9a747bff0069614e89154356224a670b4de6f8a678439bbff63d4e3ffb6b70
+DIST mkdocstrings-python-1.7.1.gh.tar.gz 136263 BLAKE2B c3c5661f7afd94c4233bd737ff1129f280825a6acc6c868867443e3eab76f4d22732895de486784f0c3f163ded45e7c9a6954768f13fde3bfc1404e76ea9224b SHA512 dfa05086d12805975e68bebabc47e2bfdeca67c7dc799312e3d719142b7bea995f06ed8c5b4699ffbb58647e0a1f6be23dc17a76ff8c7008587ccc3af72c56f9
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-1.5.0.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-1.5.0.ebuild
deleted file mode 100644
index 63874b5d0ed9..000000000000
--- a/dev-python/mkdocstrings-python/mkdocstrings-python-1.5.0.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-DISTUTILS_USE_PEP517=pdm-backend
-
-inherit distutils-r1
-
-DESCRIPTION="Python handler for dev-python/mkdocstrings"
-HOMEPAGE="
- https://mkdocstrings.github.io/python/
- https://github.com/mkdocstrings/python/
- https://pypi.org/project/mkdocstrings-python/
-"
-# Tests need files absent from the PyPI tarballs
-SRC_URI="
- https://github.com/mkdocstrings/python/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/python-${PV}"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv"
-
-RDEPEND="
- >=dev-python/griffe-0.33[${PYTHON_USEDEP}]
- dev-python/mkdocstrings[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mkdocs-material[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-1.5.2.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-1.5.2.ebuild
deleted file mode 100644
index f9c059e2c6d8..000000000000
--- a/dev-python/mkdocstrings-python/mkdocstrings-python-1.5.2.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-DISTUTILS_USE_PEP517=pdm-backend
-
-inherit distutils-r1
-
-DESCRIPTION="Python handler for dev-python/mkdocstrings"
-HOMEPAGE="
- https://mkdocstrings.github.io/python/
- https://github.com/mkdocstrings/python/
- https://pypi.org/project/mkdocstrings-python/
-"
-# Tests need files absent from the PyPI tarballs
-SRC_URI="
- https://github.com/mkdocstrings/python/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/python-${PV}"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv"
-
-RDEPEND="
- >=dev-python/griffe-0.35[${PYTHON_USEDEP}]
- dev-python/mkdocstrings[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mkdocs-material[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.0.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.0.ebuild
deleted file mode 100644
index f9c059e2c6d8..000000000000
--- a/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.0.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-DISTUTILS_USE_PEP517=pdm-backend
-
-inherit distutils-r1
-
-DESCRIPTION="Python handler for dev-python/mkdocstrings"
-HOMEPAGE="
- https://mkdocstrings.github.io/python/
- https://github.com/mkdocstrings/python/
- https://pypi.org/project/mkdocstrings-python/
-"
-# Tests need files absent from the PyPI tarballs
-SRC_URI="
- https://github.com/mkdocstrings/python/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/python-${PV}"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv"
-
-RDEPEND="
- >=dev-python/griffe-0.35[${PYTHON_USEDEP}]
- dev-python/mkdocstrings[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mkdocs-material[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.1.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.1.ebuild
deleted file mode 100644
index f9c059e2c6d8..000000000000
--- a/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.1.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-DISTUTILS_USE_PEP517=pdm-backend
-
-inherit distutils-r1
-
-DESCRIPTION="Python handler for dev-python/mkdocstrings"
-HOMEPAGE="
- https://mkdocstrings.github.io/python/
- https://github.com/mkdocstrings/python/
- https://pypi.org/project/mkdocstrings-python/
-"
-# Tests need files absent from the PyPI tarballs
-SRC_URI="
- https://github.com/mkdocstrings/python/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/python-${PV}"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv"
-
-RDEPEND="
- >=dev-python/griffe-0.35[${PYTHON_USEDEP}]
- dev-python/mkdocstrings[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mkdocs-material[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.2.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.2.ebuild
deleted file mode 100644
index f9c059e2c6d8..000000000000
--- a/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.2.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-DISTUTILS_USE_PEP517=pdm-backend
-
-inherit distutils-r1
-
-DESCRIPTION="Python handler for dev-python/mkdocstrings"
-HOMEPAGE="
- https://mkdocstrings.github.io/python/
- https://github.com/mkdocstrings/python/
- https://pypi.org/project/mkdocstrings-python/
-"
-# Tests need files absent from the PyPI tarballs
-SRC_URI="
- https://github.com/mkdocstrings/python/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/python-${PV}"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv"
-
-RDEPEND="
- >=dev-python/griffe-0.35[${PYTHON_USEDEP}]
- dev-python/mkdocstrings[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mkdocs-material[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.3.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.3.ebuild
deleted file mode 100644
index f9c059e2c6d8..000000000000
--- a/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.3.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-DISTUTILS_USE_PEP517=pdm-backend
-
-inherit distutils-r1
-
-DESCRIPTION="Python handler for dev-python/mkdocstrings"
-HOMEPAGE="
- https://mkdocstrings.github.io/python/
- https://github.com/mkdocstrings/python/
- https://pypi.org/project/mkdocstrings-python/
-"
-# Tests need files absent from the PyPI tarballs
-SRC_URI="
- https://github.com/mkdocstrings/python/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/python-${PV}"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv"
-
-RDEPEND="
- >=dev-python/griffe-0.35[${PYTHON_USEDEP}]
- dev-python/mkdocstrings[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mkdocs-material[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-1.5.1.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-1.7.1.ebuild
index f9c059e2c6d8..f9c059e2c6d8 100644
--- a/dev-python/mkdocstrings-python/mkdocstrings-python-1.5.1.ebuild
+++ b/dev-python/mkdocstrings-python/mkdocstrings-python-1.7.1.ebuild
diff --git a/dev-python/msgpack/Manifest b/dev-python/msgpack/Manifest
index 69bc323eaf19..e171b1fbe341 100644
--- a/dev-python/msgpack/Manifest
+++ b/dev-python/msgpack/Manifest
@@ -1,2 +1,3 @@
DIST msgpack-1.0.5.tar.gz 127834 BLAKE2B 3dcf454630021e35d5c6d5ce850d7ac74a6d11d6fe7c7ed07040daa62585bd6b11dc0f68a5b4c4bf20346c25bc23017f79f2d1bad09f175008b184461d0eea5d SHA512 bc3bf27ca7a9204c5ebc009e4a03db4fb48f6c2733bef393aed16652f07ac92c9400258818743245598343c86494d39b39017ab70d7563a5844091eca11a9faa
DIST msgpack-1.0.6.tar.gz 166462 BLAKE2B 19cbef99c44b6509b829462b54cea6c6bc47a30714e5f89b8f08329f2b1b46f4dea7bab4e1c32c4b9cdee44ab10d5223f3c3cc8df52c67d5f98a917dbbc3dd99 SHA512 dde756a1f3d390067a065b12c7e2c3b94aab9378d9d41e3b5338bc2e4e809b234b390618dddd6ccff13403ac03750d7c44fa567c8f87c23350e62d4d469d9707
+DIST msgpack-1.0.7.tar.gz 166311 BLAKE2B 8ddf2acf6bf81498d981c3ec83cbdffde1b1611f8ac23d3377f3f1541e679eda288b40b949bd586ca24a7059da3a0f73fa797a661375135ec092f408521c8527 SHA512 0ebd36f45b73106a4272588b55d55e72b6b8441be652b16f63f5547ae7ff1bc517a6b4549ef999ee63deb2856354a71ef37fd8d8829e516232518b046cf589c5
diff --git a/dev-python/msgpack/msgpack-1.0.7.ebuild b/dev-python/msgpack/msgpack-1.0.7.ebuild
new file mode 100644
index 000000000000..46f5704f68a6
--- /dev/null
+++ b/dev-python/msgpack/msgpack-1.0.7.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="MessagePack (de)serializer for Python"
+HOMEPAGE="
+ https://msgpack.org/
+ https://github.com/msgpack/msgpack-python/
+ https://pypi.org/project/msgpack/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="+native-extensions"
+
+# extension code is relying on CPython implementation details
+BDEPEND="
+ native-extensions? (
+ $(python_gen_cond_dep '
+ >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Remove pre-generated cython files
+ rm msgpack/_cmsgpack.cpp || die
+
+ # native-extensions are always disabled on PyPy
+ # https://github.com/msgpack/msgpack-python/blob/main/setup.py#L76
+ if ! use native-extensions ; then
+ export MSGPACK_PUREPYTHON=1
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ rm -rf msgpack || die
+ epytest
+}
diff --git a/dev-python/pikepdf/pikepdf-8.4.1.ebuild b/dev-python/pikepdf/pikepdf-8.4.1.ebuild
index 403e322c7427..a72adf1d3d8a 100644
--- a/dev-python/pikepdf/pikepdf-8.4.1.ebuild
+++ b/dev-python/pikepdf/pikepdf-8.4.1.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MPL-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
# Check QPDF_MIN_VERSION in pyproject.toml on bumps, as well as
# https://qpdf.readthedocs.io/en/stable/release-notes.html.
diff --git a/dev-python/psycopg/Manifest b/dev-python/psycopg/Manifest
index 8c2ac69fd4b7..ad5d13d6a44a 100644
--- a/dev-python/psycopg/Manifest
+++ b/dev-python/psycopg/Manifest
@@ -5,3 +5,4 @@ DIST psycopg-3.1.8.gh.tar.gz 483283 BLAKE2B 29141637c359b5ff8988753ee4e492b0aaf8
DIST psycopg-3.1.9.gh.tar.gz 487052 BLAKE2B 0422742d21b872c927d8df5f85e8e64fbfc912d08db85dbb1675fa64ccec4bd849b05b1f4773898b791edf0fbcd1aa0fe2c8bc210fd1672f70fba24df10b3624 SHA512 84e48b8fa7c8f677e193585e69e31dd43b8b55379f2370753e2af99351be25c2eba0bc66f19cb1ed65b8762123cc7a8d10023810815c53a8c963c6b743822766
DIST psycopg2-2.9.4.tar.gz 384017 BLAKE2B 4bc0afcc890c8a257c1ccd5c6e4e5301857a80f8b1428aa46c1473c9e18f5d2914a2e592c13336b06106217bb334d9b0321835bdd123f1627cbeb29dedf97bf7 SHA512 259088e42e0ab0d8a1a0ccf04f5e560f32c6179b4a0a0059e91bcf269baa8f4b0f1f949c332c640a2438c927a29b2c144078a861f8e18ba9c764da7c93c73b8d
DIST psycopg2-2.9.7.tar.gz 383496 BLAKE2B ebec20330ed5e8f1e6190ebbbf9b7a2127e260a3979d63b5dc376843d549412d3b5157a471c00562ff2111c4f3d45c6fd18aa5682368057a90a78a8616eb62be SHA512 77f9136989ce035dc66eec47271bd2e18606db0637eb34300b0b95895358499dae2f5f714ce49d817070f949ec9daa46d221861449cce75225c15c19e757c1a3
+DIST psycopg2-2.9.8.tar.gz 383802 BLAKE2B 2a31bca4d5ebbaeeead72fb63f5208b6404291b8cbf2911ecd8043264dabaec7702f00fb94dc222e4bba11673fcf08fcf08f0dcbba8f093c0cb88e3143173c9d SHA512 a540773c0963c2c6e77bd3b9caa117d435f1b40f5a4485bb8eb43a833016b8f53d55a680e5ced998a94480c107a9d479541a1366d55643846d5d0c283b4aabed
diff --git a/dev-python/psycopg/psycopg-2.9.8.ebuild b/dev-python/psycopg/psycopg-2.9.8.ebuild
new file mode 100644
index 000000000000..163d476eed2e
--- /dev/null
+++ b/dev-python/psycopg/psycopg-2.9.8.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN="psycopg2"
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="PostgreSQL database adapter for Python"
+HOMEPAGE="
+ https://www.psycopg.org/
+ https://pypi.org/project/psycopg2/
+ https://pypi.org/project/psycopg2/
+"
+
+LICENSE="LGPL-3+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="debug test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=dev-db/postgresql-8.1:*"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ test? ( >=dev-db/postgresql-8.1[server] )
+"
+
+python_prepare_all() {
+ if use debug; then
+ sed -i 's/^\(define=\)/\1PSYCOPG_DEBUG,/' setup.cfg || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+src_test() {
+ initdb -D "${T}"/pgsql || die
+ # TODO: random port
+ pg_ctl -w -D "${T}"/pgsql start \
+ -o "-h '' -k '${T}'" || die
+ createdb -h "${T}" psycopg2_test || die
+
+ local -x PSYCOPG2_TESTDB_HOST="${T}"
+ distutils-r1_src_test
+
+ pg_ctl -w -D "${T}"/pgsql stop || die
+}
+
+python_test() {
+ "${EPYTHON}" -c "
+import tests
+tests.unittest.main(defaultTest='tests.test_suite')
+" --verbose || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/pydantic/Manifest b/dev-python/pydantic/Manifest
index 2970e8b7b787..a016df63d649 100644
--- a/dev-python/pydantic/Manifest
+++ b/dev-python/pydantic/Manifest
@@ -3,3 +3,4 @@ DIST pydantic-1.10.13.gh.tar.gz 766572 BLAKE2B 3d4f4453469f960467ddf3512be8e97f0
DIST pydantic-2.3.0.tar.gz 623866 BLAKE2B 77fe2d9ce385946e13ffeb5827c29bc7473667af6b53b7b3ec2432380dc792f9ce54b1cb5af68f0a548880516c763ac8c29b129d821da074b63a9a50f9ebc5c3 SHA512 19c9c066a69c8406ccf5537e62b4b5112a5cf1c32bb68498bb73b739c4525fe115348c4c4e5ef9c074dc46fd2b51ca09bcb1d4fa792dbdd2387e51aadae9e528
DIST pydantic-2.4.0.tar.gz 651740 BLAKE2B 03d849f7aaf40799a821d1c79e1a1eab30f61b6948bd6d9ec1f50ced7e42270025eb42de76e419f1dd4a99f5e73e53d9c7beedcdc637e542e3c29bb90ead35d8 SHA512 bc49390e83e0ccc1ff73a624ad6c7c40b889ea615a62cfdf24e6dad3d861863a7ce999749855c5817978793089e573db8aff8fab5bdc38f931ba1bcfa9106fe1
DIST pydantic-2.4.1.tar.gz 652537 BLAKE2B a148888aa8cac6e96472797d6b30b8f994ad77ecd38bacc1aceca0f949cfd9025a151e729d63a1ea769de86c1c3199b72ed02f670c59a254a56cd49605856860 SHA512 94ad70e7095d345c7b74a1281200f2ec26ab3d94a4f2b9bd2658d339a80e41d7e6d60a68a127f5b89c7353a485d0f9a6150a8fee7bb3df78d2d12d32a42bbccc
+DIST pydantic-2.4.2.tar.gz 654020 BLAKE2B 2f91b6bf89f87230976a2e777541bb7418382fb3534f5e61e1dc74a18e5e939508a2440d6bee9a09030beb5f2b6a60fd62c3bf30ee0ee2c7d3f71575920a47f3 SHA512 f0e0d90ead4ba754974b38f8e3d24bc017696674ca1ed3300104389d149baa41c495218a118f5e7f98bf20d34b3c17439921eaff0ccd7bf76cac96a16e592b4e
diff --git a/dev-python/pydantic/pydantic-2.4.2.ebuild b/dev-python/pydantic/pydantic-2.4.2.ebuild
new file mode 100644
index 000000000000..59cfeae327af
--- /dev/null
+++ b/dev-python/pydantic/pydantic-2.4.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Data parsing and validation using Python type hints"
+HOMEPAGE="
+ https://github.com/pydantic/pydantic/
+ https://pypi.org/project/pydantic/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/annotated-types-0.4.0[${PYTHON_USEDEP}]
+ ~dev-python/pydantic-core-2.10.1[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.6.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/hatch-fancy-pypi-readme-22.5.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/dirty-equals[${PYTHON_USEDEP}]
+ >=dev-python/email-validator-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/Faker-18.13.0[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/benchmark/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ local EPYTEST_IGNORE=(
+ # require pytest-examples
+ tests/test_docs.py
+ # benchmarks
+ tests/benchmarks
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_mock
+}
diff --git a/dev-python/python-rtmidi/Manifest b/dev-python/python-rtmidi/Manifest
index f3447b256880..54e29be324dc 100644
--- a/dev-python/python-rtmidi/Manifest
+++ b/dev-python/python-rtmidi/Manifest
@@ -1 +1,2 @@
DIST python_rtmidi-1.5.5.tar.gz 357562 BLAKE2B db854be574c857d0fe90b6a0f7b23de6d868850cef00b327eb6013a12cbf464d0280584c86b09a232f94b5109bc941de1a5a74727c668b3bd4a7ebb77fef25fb SHA512 6ae8f77d74ee9b0fdfb141ed0924dab6eda8c87f483e7315dbca898d8aee6aa7cc883085a396f6d8e292ccd83e1d6e9f99f19667a24d8ca34463e91332f85538
+DIST python_rtmidi-1.5.6.tar.gz 367355 BLAKE2B c544669f51e12e82fe38b68e83078ac01463fcff54941c52fad80a1dd3d55985352dea259bad5ba2f70a895a80d5ad55c0249f9ef6fe4e7b81b84582a5855ef8 SHA512 e834159b07fb0b2d05a511ccd2d5b2a86d25f7b0d3a2b92ebe73edf28cd2a035a7aea0460adc6cf6836535da2815ccc0f986731bc9a23bbb19bc7d559d0ef955
diff --git a/dev-python/python-rtmidi/python-rtmidi-1.5.5.ebuild b/dev-python/python-rtmidi/python-rtmidi-1.5.5.ebuild
index f65a3021c628..e969eaf660a5 100644
--- a/dev-python/python-rtmidi/python-rtmidi-1.5.5.ebuild
+++ b/dev-python/python-rtmidi/python-rtmidi-1.5.5.ebuild
@@ -32,6 +32,7 @@ RESTRICT="test"
DEPEND="media-libs/rtmidi[alsa?,jack?]"
RDEPEND="${DEPEND}"
BDEPEND="<dev-python/cython-2.99[${PYTHON_USEDEP}]
+ <dev-python/meson-python-0.14.0[${PYTHON_USEDEP}]
virtual/pkgconfig"
PATCHES=(
diff --git a/dev-python/python-rtmidi/python-rtmidi-1.5.6.ebuild b/dev-python/python-rtmidi/python-rtmidi-1.5.6.ebuild
new file mode 100644
index 000000000000..f65a3021c628
--- /dev/null
+++ b/dev-python/python-rtmidi/python-rtmidi-1.5.6.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+DOCS_BUILDER="sphinx"
+DOCS_DEPEND="dev-python/myst-parser"
+DOCS_DIR="docs"
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+
+inherit distutils-r1 docs pypi
+
+DESCRIPTION="Python bindings for media-libs/rtmidi implemented using Cython"
+HOMEPAGE="
+ https://pypi.org/project/python-rtmidi/
+ https://spotlightkid.github.io/python-rtmidi/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+alsa jack"
+
+# Most of these tests do not play nicely with the sandbox, some only
+# work with exactly the same version of rtmidi as the bundled one, and
+# several fail even with disabled sandbox unless there are actual MIDI
+# I/O devices present.
+RESTRICT="test"
+
+DEPEND="media-libs/rtmidi[alsa?,jack?]"
+RDEPEND="${DEPEND}"
+BDEPEND="<dev-python/cython-2.99[${PYTHON_USEDEP}]
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.5.1-unbundle_rtmidi.patch
+)
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # Just in case
+ rm -r src/rtmidi || die
+ rm src/_rtmidi.cpp || die
+
+ # Needed by USE=doc because documentation generation happens in ${S}
+ # but the version.py generated by Meson end up in respective ${BUILD_DIR}s.
+ # The version put in ${S} should be ignored by everything except Sphinx but
+ # just in case, be consistent and generate it unconditionally.
+ sed -e "s|@VERSION@|${PV}|" < rtmidi/version.py.in > rtmidi/version.py || die
+}
+
+python_test() {
+ cd "${T}" || die
+ eunittest "${S}"/tests
+}
diff --git a/dev-python/pywebview/Manifest b/dev-python/pywebview/Manifest
index d06be7fdc3c4..8c53a0cd3f13 100644
--- a/dev-python/pywebview/Manifest
+++ b/dev-python/pywebview/Manifest
@@ -1,2 +1,2 @@
-DIST pywebview-4.1.tar.gz 30069532 BLAKE2B ca11bb04c4146204d379414fc6de0cd1e583c36feb126c859d8c8bb0e896bf5eb8de946943729e41d0c564c704d140baf765de2807aec0311348e97624c00f3a SHA512 5cca2912adda83043c86f4b1386c70583fa547424b10c19dc2bfc713407cd9001515844b820e2050962fe84373febfaab495f646c56ab1d48207b47f2c535208
DIST pywebview-4.2.2.tar.gz 30105686 BLAKE2B fd6cd5131fd42326046e1126951294f7c87245a0580c7269d4bbb8a9fd04048e0db3a5864ff32c646d21734519ac568903dd82de5b750c3d7bcdb90857fe958b SHA512 6922d31bfc7a461948698b96d7e507162ac8718408ca0d8defa138d86c74d653c8026f5b0aa2d62d2147d7a64391f7e4d7726b5fcac0d836907fe5751bd82936
+DIST pywebview-4.3.3.tar.gz 30107570 BLAKE2B 6907d928c2f0471547b75ce385636330e4ae2891c8082b24d659a75e525b84259a2db4bf4f8767c4d30c152724fc20c864456156fab8242e72753be32e908a49 SHA512 beaa481fc786ebd07d0d198167bbdfefb50e45b0c768b450c75385e6ed8f72df2cfebbcc7b5356632309300290d0d7b340bbd714e8d8aceaeca56e945857f007
diff --git a/dev-python/pywebview/pywebview-4.1.ebuild b/dev-python/pywebview/pywebview-4.3.3.ebuild
index e8f628086a39..2af7a79ea80e 100644
--- a/dev-python/pywebview/pywebview-4.1.ebuild
+++ b/dev-python/pywebview/pywebview-4.3.3.ebuild
@@ -6,17 +6,16 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8,9,10,11} )
-inherit distutils-r1
+inherit distutils-r1 pypi
DESCRIPTION="A lightweight cross-platform wrapper around a webview component"
HOMEPAGE="https://github.com/r0x0r/pywebview"
-SRC_URI="https://github.com/r0x0r/pywebview/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
-IUSE="gtk qt5"
-REQUIRED_USE="|| ( gtk qt5 )"
+IUSE="gtk qt5 qt6"
+REQUIRED_USE="|| ( gtk qt5 qt6 )"
RDEPEND="
dev-python/bottle
@@ -30,6 +29,10 @@ RDEPEND="
dev-python/pyside2[${PYTHON_USEDEP},webengine]
dev-python/QtPy[${PYTHON_USEDEP},webengine]
)
+ qt6? (
+ dev-python/pyside6[${PYTHON_USEDEP},webengine]
+ dev-python/QtPy[${PYTHON_USEDEP},webengine]
+ )
"
distutils_enable_tests pytest
diff --git a/dev-python/ruamel-yaml/Manifest b/dev-python/ruamel-yaml/Manifest
index a850cd24ad1e..9f11cb78a80a 100644
--- a/dev-python/ruamel-yaml/Manifest
+++ b/dev-python/ruamel-yaml/Manifest
@@ -1 +1,2 @@
DIST ruamel.yaml-0.17.32.tar.xz 190144 BLAKE2B fe58904cacff21bd64eb7e9cc4ea613ae0ad8e6718f568f64876385b70b6c2ce2bc6137537ddf9d3c7e9c08c66a1112f78527080c025fb5655ddce2b73a4f477 SHA512 e78ae975c3a7281d69ca965604fbc7f014cf8aaec9e51e27c795caefc5708019c57629f54044b12833bca0c846a8005fc0b95e64f75b2da226cdca2fefbcd8ae
+DIST ruamel.yaml-0.17.33.tar.xz 190420 BLAKE2B 93a91f1ad6e17bf0a4f6d90e782786aafe959f298c4bf109c62450fbb42df79908f9037b8e7535dbcb33eacbef0680fec72a800918045c01b427eba07bb32090 SHA512 75b13e920298b729ce9ac764162864eaf8492795b3ae3bad7dfe1ad4e5cc92e84ae5063859ae694d6334bb3e9660ba68cbf56888674f98ac787ff10266373e15
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.17.33.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.17.33.ebuild
new file mode 100644
index 000000000000..afe4d1bab01b
--- /dev/null
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.17.33.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+MY_P="${P/-/.}"
+DESCRIPTION="YAML parser/emitter that supports roundtrip comment preservation"
+HOMEPAGE="
+ https://pypi.org/project/ruamel.yaml/
+ https://sourceforge.net/projects/ruamel-yaml/
+"
+# PyPI tarballs do not include tests
+SRC_URI="mirror://sourceforge/ruamel-dl-tagged-releases/${MY_P}.tar.xz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/ruamel-yaml-clib[${PYTHON_USEDEP}]
+ !dev-python/namespace-ruamel
+"
+BDEPEND="
+ test? (
+ dev-python/ruamel-std-pathlib[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ _test/test_deprecation.py::test_collections_deprecation
+ )
+ local EPYTEST_IGNORE=(
+ # Old PyYAML tests from lib/ require special set-up and are
+ # invoked indirectly via test_z_olddata, tell pytest itself
+ # to leave the subdir alone.
+ _test/lib/
+ )
+
+ # this is needed to keep the tests working while
+ # dev-python/namespace-ruamel is still installed
+ distutils_write_namespace ruamel
+ epytest
+}
diff --git a/dev-python/scipy/Manifest b/dev-python/scipy/Manifest
index 4d500aaa007e..85dd8b3c9e2d 100644
--- a/dev-python/scipy/Manifest
+++ b/dev-python/scipy/Manifest
@@ -2,5 +2,6 @@ DIST scipy-1.10.1.tar.gz 42407997 BLAKE2B 807dceb1e056a1a2c0ec354e4e21f64e59cdab
DIST scipy-1.11.0.tar.gz 56030121 BLAKE2B e700bf8f9cffa7bc0f4832722010dcf2e03d8f93d13534f7f85734394c02536c1427cae5a097b59616f0873ba941579fcf2efd0baafc2037d9eca1f93362d38b SHA512 248cfbbedba73925b0461bf0f96c4a11bd4cfc7849cb18c58f6405074796ab0efdc4f056c58d344cb8833c0d2c6425f84e7ac6fe958cf98b1cc0bf16e7ff2444
DIST scipy-1.11.1.tar.gz 56031509 BLAKE2B 456a80103f8c31c456f80e06b25d765f7ad5655dbdd49e99f476e78273f4291c578a8e99fda3f3a1e848c0e75e08629a09a8146b4a798e85edcaffb7ed1d34a9 SHA512 2859fc73c4fef713497f450b76a57d274bb46477a08ac909714823225f065a13c1e42a61ce67575cfc475e1e4612090cc4ca0920411fe32370c5b5c476352f97
DIST scipy-1.11.2.tar.gz 56045065 BLAKE2B c92a27ef7b560c17bea7dbbc5ca7e192cc7ee8297b65887c3bad50509cca0f83314b688e8c9ef14228c7891e4c16e9d45920de7cb39a0456c7712ae752839203 SHA512 f6902d48617827d01f69c057f3c4790c7388bc58df0791ade96e073740253bc0529475f9fc22d00c23c0b649acaeb820792528d3805d0ac68588c329aa87b3f2
+DIST scipy-1.11.3.tar.gz 56335652 BLAKE2B 2b35c24522b2bd498b4ebe84a854c8ec1e62917e7b899b3e3526abb9780c1e56f8e776a3bb1eab1bedb17a273fac881e5ffdaac808084a4f5a5f97428bff1029 SHA512 6491c4e479d9f4f02e677396a25ddca947a0dc6c009fc2ec34c658012a6224c0b535f14045bb011fbde9973ea987d184574ed64e6760c31798ec860eb0896fcf
DIST scipy-html-1.10.1.zip 49191107 BLAKE2B 5163ae3a62745992bcf94ab02ca2bb13fcf6d2ae0eb2a113ba29bc37a8e8f40ec70e39fe16e6371ce0bc31d4c8f0f46746be91b4fe2ad41c68a985c6f00fb8e7 SHA512 f3252452d3bfd400890f29460de2f97bf72732e0fc864582e906b78808e856ead5b1bf97cba531f2150e396408e585499d127004231421d20108e96040316232
DIST scipy-html-1.11.0.zip 50421508 BLAKE2B cb5e4a4f8817a80f54ae73b4a47ba22d2438df46ebfe27ef5fdc2695fdd983226f4ccae925bf82b15d01ced4f4b6807384ecadac5e1aa7700aa887ad06b7d065 SHA512 33718bbd5e828687d93fccc441a53b6a2e8f54ac4952d3b69d4c4668f55cb6ef5aba33df9acda20b2400effa5ae71767b2a5602a365ad2045a6edd24ff89c253
diff --git a/dev-python/scipy/scipy-1.11.3.ebuild b/dev-python/scipy/scipy-1.11.3.ebuild
new file mode 100644
index 000000000000..32e9a791d263
--- /dev/null
+++ b/dev-python/scipy/scipy-1.11.3.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+FORTRAN_NEEDED=fortran
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit fortran-2 distutils-r1 multiprocessing
+
+DESCRIPTION="Scientific algorithms library for Python"
+HOMEPAGE="
+ https://scipy.org/
+ https://github.com/scipy/scipy/
+ https://pypi.org/project/scipy/
+"
+
+if [[ ${PV} == *9999* ]] ; then
+ inherit git-r3
+
+ # Need submodules, so git for now.
+ EGIT_REPO_URI="https://github.com/scipy/scipy"
+ EGIT_BRANCH="maintenance/$(ver_cut 1-2).x"
+ EGIT_SUBMODULES=( '*' )
+else
+ inherit pypi
+
+ # Upstream is often behind with doc updates
+ #DOC_PV=${PV}
+ DOC_PV=1.11.0
+
+ SRC_URI+="
+ doc? (
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-html-${DOC_PV}.zip
+ )"
+
+ if [[ ${PV} != *rc* ]] ; then
+ KEYWORDS="~amd64 ~arm ~arm64 -hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+ fi
+fi
+
+LICENSE="BSD LGPL-2"
+SLOT="0"
+IUSE="doc +fortran test-rust"
+
+# umfpack is technically optional but it's preferred to have it available.
+DEPEND="
+ >=dev-python/numpy-1.21.6[lapack,${PYTHON_USEDEP}]
+ sci-libs/arpack:=
+ sci-libs/umfpack
+ virtual/cblas
+ >=virtual/lapack-3.8
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-lang/swig
+ >=dev-python/cython-0.29.35[${PYTHON_USEDEP}]
+ >=dev-python/meson-python-0.12.1[${PYTHON_USEDEP}]
+ >=dev-python/pybind11-2.10.4[${PYTHON_USEDEP}]
+ >=dev-util/meson-1.1.0
+ !kernel_Darwin? ( dev-util/patchelf )
+ virtual/pkgconfig
+ doc? ( app-arch/unzip )
+ fortran? ( dev-python/pythran[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+ test-rust? (
+ dev-python/pooch[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+
+ if use doc; then
+ unzip -qo "${DISTDIR}"/${PN}-html-${DOC_PV}.zip -d html || die
+ fi
+}
+
+python_configure_all() {
+ DISTUTILS_ARGS=(
+ -Dblas=blas
+ -Dlapack=lapack
+ -Duse-pythran=$(usex fortran true false)
+ )
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+
+ local EPYTEST_DESELECT=(
+ # Network
+ scipy/datasets/tests/test_data.py::TestDatasets::test_existence_all
+ scipy/datasets/tests/test_data.py::TestDatasets::test_ascent
+ scipy/datasets/tests/test_data.py::TestDatasets::test_face
+ scipy/datasets/tests/test_data.py::TestDatasets::test_electrocardiogram
+
+ # Precision issue with diff. blas?
+ scipy/optimize/tests/test__basinhopping.py::Test_Metropolis::test_gh7799
+
+ # Crashes with assertion, not a regression
+ # https://github.com/scipy/scipy/issues/19321
+ scipy/signal/tests/test_signaltools.py::test_lfilter_bad_object
+ )
+ local EPYTEST_IGNORE=()
+
+ if ! has_version -b "dev-python/pooch[${PYTHON_USEDEP}]" ; then
+ EPYTEST_IGNORE+=(
+ scipy/datasets/tests/test_data.py
+ )
+ fi
+
+ epytest -n "$(makeopts_jobs)" --dist=worksteal scipy
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( "${WORKDIR}"/html/. )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/textdistance/Manifest b/dev-python/textdistance/Manifest
index 6e6194733a3c..bd2b3c1c9277 100644
--- a/dev-python/textdistance/Manifest
+++ b/dev-python/textdistance/Manifest
@@ -1 +1,2 @@
DIST textdistance-4.5.0.gh.tar.gz 46674 BLAKE2B 5bac2690c48fc518b56f7d781803684c1ccccbb54e62c613f87a58f2acf81d28b405be5ffc41c7a304e62bd19732cdf99a03816c00765698439073b76c5be6c0 SHA512 ae51a2a0b69acd5fd64cab9509ad58713044a1307eee884ecf00508f406a9442414b1d8c71798f2c3ed0e9f5b22cca0a467f6d5a5928510adda43c6997ea497c
+DIST textdistance-4.6.0.gh.tar.gz 46639 BLAKE2B 3d39dfb43c9d3a10ec0c638dd02fd8ee6ccf3d3b06821b8af9331ccfd76a6cae4b33095bd6f71edb670e35a786478f0f7f72baefe4ec3db1a8581a0d8dead4ab SHA512 3e75fde1fc2b0d1dc3917d3860483c5a0aa25affd68c0f05c4888f2404e7e96e6da7b2e581ee3d96626a0a7d4c7ca1e096626224756ec784e72be22681b56116
diff --git a/dev-python/textdistance/textdistance-4.6.0.ebuild b/dev-python/textdistance/textdistance-4.6.0.ebuild
new file mode 100644
index 000000000000..2d4321d1a3e2
--- /dev/null
+++ b/dev-python/textdistance/textdistance-4.6.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Compute distance between the two texts"
+HOMEPAGE="
+ https://github.com/life4/textdistance/
+ https://pypi.org/project/textdistance/
+"
+SRC_URI="
+ https://github.com/life4/textdistance/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ tests/test_external.py
+)
diff --git a/dev-python/thriftpy2/Manifest b/dev-python/thriftpy2/Manifest
index 7de6acd094f8..164100a42801 100644
--- a/dev-python/thriftpy2/Manifest
+++ b/dev-python/thriftpy2/Manifest
@@ -1 +1,2 @@
DIST thriftpy2-0.4.16.gh.tar.gz 146991 BLAKE2B 7547ea85106d0929d3e6ee771ff10ad2cd047f4e779c668e4a30ee936ac04d470e16d8321a2771db4404f57e1be41438b4a302bc04b8e4698db03de35dbfa5e9 SHA512 c00b21eb7db3fe91843a5129d16e7af2a29331489e7d8394bcf78eb5c4b8054162b9c5a024eec8080708dbffc491db7922258ecd895477cda49dcc7d56297ecf
+DIST thriftpy2-0.4.17.tar.gz 519386 BLAKE2B 29c383cb886debb7167fbcef3526d0c027dc60db5ae20c554ea19067bb9a3ab40bea50392bd903293c5d9de1e3bc210220d887bd71194f91345a7565f577ccd9 SHA512 7c58eb6d0c91c933e31654d28ce2f4ef04854551db3eb5b8022565932761c74d95f27d44fc847f93723e535fdb4997fdad66a9dba432aa44e27e069e73b7ff7e
diff --git a/dev-python/thriftpy2/thriftpy2-0.4.17.ebuild b/dev-python/thriftpy2/thriftpy2-0.4.17.ebuild
new file mode 100644
index 000000000000..44ab58511cd2
--- /dev/null
+++ b/dev-python/thriftpy2/thriftpy2-0.4.17.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure python approach of Apache Thrift"
+HOMEPAGE="
+ https://github.com/Thriftpy/thriftpy2/
+ https://pypi.org/project/thriftpy2/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/ply[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/tornado[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ tests/test_tornado.py::TornadoRPCTestCase::test_asynchronous_exception
+ tests/test_tornado.py::TornadoRPCTestCase::test_asynchronous_result
+ )
+
+ cd tests || die
+ epytest
+}